// Copyright (C) 2004 Etoile Diese
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// As a special exception to the GNU General Public License, permission is
// granted for additional uses of the text contained in its release
// of Bayonne as noted here.
//
// This exception is that permission is hereby granted to link Bayonne 
// with the Dialogic runtime libraries to produce a executable image
// without requiring Dialogic's sources to be supplied so long as each
// each source file so linked contains this exclusion.
//
// This exception does not however invalidate any other reasons why
// the resulting executable file might be covered by the GNU General
// public license or invalidate the licensing requirements of any
// other component or library.
//
// This exception applies only to the code released by OST under the
// name Bayonne.  If you copy code from other releases into a copy of
// Bayonne, as the General Public License permits, the exception does not
// apply to the code that you add in this way.  To avoid misleading
// anyone as to the status of such modified files, you must delete
// this exception notice from them.
//
// If you write modifications of your own to Bayonne, it is your choice
// whether to permit this exception to apply to your modifications.
// If you do not wish that, delete this exception notice, at which
// point the terms of your modification would be covered under the GPL
// as explicitly stated in "COPYING".

// Possibilites

#define IdPos 0x9e
#define PosLenMax 64
#define NasLenMax 20
#define FromPcsToServer 0x77
#define FromServerToPcs 0x76

#define TYPE_POSSIBILITE	0x83		// Type de la commande possibilite

#define NAS_APPELE		0x83
#define NAS_APPELANT		0x89
#define CONTEXTE_DCB		0x85
#define CONTEXTE_ASCII		0x95
#define DONNEES_RETOUR		0x86
#define ORG_DEP			0x8a
#define ORG_NUM			0x8b
#define ORG_OPERATEUR		0x8c
#define ORG_PAYS		0x9a
#define MARQUAGE		0x88
#define LEN_MARQUAGE		0x00



typedef struct {
	char appelant[20 + 1];
	char appele[20 + 1];
	char contexte[20 + 1];
	char retour[20 + 1];
} Possibilite;
